lsb (4.1+Debian11ubuntu6.2) trusty; urgency=medium

  * 01-upstart-lsb: when diverting an init script to an upstart job, we
    can't directly map the 'status' subcommand to /sbin/status because the
    return value of the latter is always 0 if we communicated successfully
    with upstart.  Instead, parse the output of the command to correctly map
    this to the LSB return codes.  LP: #1582813.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 17 May 2016 17:07:10 -0700

lsb (4.1+Debian11ubuntu6.1) trusty; urgency=medium

  * Add 01-upstart-lsb from the upstart package and make
    executing rc.d scripts no-op if there is an upstart
    job for that script. (LP: #1273462)

 -- Zhang Hua <joshua.zhang@canonical.com>  Thu, 06 Aug 2015 11:11:16 -0500

lsb (4.1+Debian11ubuntu6) trusty; urgency=medium

  * Don't hardcode pyshared in the install files.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 17:06:48 +0100

lsb (4.1+Debian11ubuntu5) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:48:36 +0000

lsb (4.1+Debian11ubuntu4) saucy; urgency=low

  * Allow lsb-printing to depend on cups-filters | ghostscript-cups.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 09 Sep 2013 10:17:15 -0400

lsb (4.1+Debian11ubuntu3) saucy; urgency=low

  * Use open() rather than file() in initdutils.py, for Python 3
    compatibility (see LP #1035136).
  * Test fileob and strob against None in RFC822Parser.__init__ rather than
    testing their truth value, to avoid a misleading error in the case of a
    file with no LSB headers.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 01 Jul 2013 12:36:13 +0100

lsb (4.1+Debian11ubuntu2) saucy; urgency=low

  * Only run the tests under python3, correcting a build failure due to
    mismatched test expectations.
  * test/test_lsb_release.py: also, make lsb_release ignore dpkg origins
    for the test, otherwise the test fails on Ubuntu.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 19 May 2013 05:52:09 +0000

lsb (4.1+Debian11ubuntu1) saucy; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Mark lsb-core Multi-Arch: foreign.
    - Use python3 instead of python2.
    - Fix status_of_proc returning incorrect error code; and when a pidfile
      is specified, return "unknown" if it exists but isn't readable (as
      would be the case for non-root with a root-only pidfile), and return
      "not running" if the pidfile otherwise doesn't provide a useful PID.
      This issue may also be fixed now in the Debian version, but someone
      needs to compare the differing implementations to verify before this
      delta can be dropped.
    - Prefer mailx (main) over mailutils (universe)
    - Depend directly on libnss3 and libnspr4 rather than via the
      transitional packages libnss3-1d and libnspr4-0d.
  * Changes included in Debian:
    - lsb_release: Add -Es to #! line for Python.
    - Correct duplicate reference to log_action_end_msg_post in
      debian/lsb-base.README.Debian.
    - Fix debian/copyright to list the correct Canonical copyright for the
      Ubuntu logging functions.
    - Revert use of /bin/echo for echo-n.
    - Port initdutils.py to python3 so that the tests will pass at build
      time.
    - Fix build failure when only building architecture-dependent packages
      on Ubuntu.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 18 May 2013 20:54:45 -0700

lsb (4.1+Debian11) unstable; urgency=low

  [ Steve Langasek ]
  * add -Es to the lsb_release python shebang, as discussed in
    <https://lists.debian.org/debian-python/2012/10/msg00021.html>.
  * Fix debian/copyright to list the correct Canonical copyright for the
    Ubuntu logging functions.
  * Correct duplicate reference to log_action_end_msg_post in
    debian/lsb-base.README.Debian.
  * debian/rules: fix the build on Ubuntu derivatives when building only the
    arch-dependent packages.

  [ Didier Raboud ]
  * Add jessie to the release codenames lookup table
  * Get Distributor ID from /etc/dpkg/origins/default if existant
    (Closes: #703677)
  * Bump Standards-Version to 3.9.4 without changes needed
  * Correct lsb-desktop.NEWS syntax errors

 -- Didier Raboud <odyx@debian.org>  Wed, 15 May 2013 22:15:05 +0200

lsb (4.1+Debian10) unstable; urgency=low

  [ Steve Langasek ]
  * Fix the remaining problems of initdutils.py python3 compatibility
    (Closes: #673586)
  * Revert unnecessary use of /bin/echo -n (Closes: #708337)

  [ Didier Raboud ]
  * Compress source with xz

 -- Didier Raboud <odyx@debian.org>  Wed, 15 May 2013 11:06:44 +0200

lsb (4.1+Debian9ubuntu4) saucy; urgency=low

  * Depend directly on libnss3 and libnspr4 rather than via the transitional
    packages libnss3-1d and libnspr4-0d.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 16 May 2013 14:48:45 +0100

lsb (4.1+Debian9ubuntu3) saucy; urgency=low

  * Prefer mailx over mailutils; this apparently was a deliberate (but
    undocumented) delta in Ubuntu.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 15 May 2013 17:49:45 +0000

lsb (4.1+Debian9ubuntu2) saucy; urgency=low

  * Fix build failure when only building architecture-dependent packages.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 15 May 2013 04:22:58 -0500

lsb (4.1+Debian9ubuntu1) saucy; urgency=low

  * Merge from Debian unstable:
    - lsb-desktop no longer depends on transitional libqt4-gui.  LP: #339501.
    - lsb-invalid-mta includes /usr/lib/sendmail as a symlink.  LP: #580914.
    - fixes a typo in the package description.  LP: #1177473.
  * Remaining changes:
    - Mark lsb-core Multi-Arch: foreign.
    - Use python3 instead of python2.
    - Fix status_of_proc returning incorrect error code; and when a pidfile
      is specified, return "unknown" if it exists but isn't readable (as
      would be the case for non-root with a root-only pidfile), and return
      "not running" if the pidfile otherwise doesn't provide a useful PID.
      This issue may also be fixed now in the Debian version, but someone
      needs to compare the differing implementations to verify before this
      delta can be dropped.
    - Correct duplicate reference to log_action_end_msg_post in
      debian/lsb-base.README.Debian.
    - lsb_release: Add -Es to #! line for Python.
  * Dropped changes, included in Debian:
    - Mark lsb-release and lsb-base Multi-Arch: foreign.
    - Drop Qt3 from lsb-desktop depends and add lsb-desktop.NEWS to explain
      its absence
    - Depend on libgl1-mesa-glx rather than libgl1-mesa as preferred libgl1
      alternative.
    - Use dpkg --print-architecture rather than
      --print-installation-architecture.
    - Use $DPKG_MAINTSCRIPT_ARCH in the maintainer scripts to decide the
      correct symlinks to set up, instead of going by the dpkg built-in
      architecture.
    - Don't conflict with python (>= 2.6).
    - Use dh_python2
    - lsb_release.py: Ensure that files are closed promptly; Python 3.2
      prints ResourceWarning noise otherwise.
    - Skip calling apt-cache if /etc/lsb-release contains everything we need.
    - sendmail, debian/control, debian/rules, debian/lsb-invalid-mta.dirs:
      include new "lsb-invalid-mta" package.
    - Remove /usr/lib/pymodules/python2.6/lsb_release.py on upgrades; this
      was a karmic-only upgrade issue that we could have removed the
      handling for back in maverick, better late than never.
    - Add Ubuntu logging functions.
    - Added ghostscript-cups dependency.
    - Made lsb-printing required by the lsb package, not just suggested.
  * lsb-languages must depend on python, not on python3, as /usr/bin/python is
    the interface guaranteed by this submodule.
  * Fix debian/copyright to list the correct Canonical copyright for the
    Ubuntu logging functions.
  * Revert wrongheaded calls to /bin/echo whenever -n is used; 'echo -n' is
    guaranteed by Debian policy, we don't want a bunch of extra forks here
    for no reason.
  * Port initdutils.py to python3 so that the tests will pass at build time.
  * Call 2to3 correctly so that the scripts in /usr/lib/lsb are usable under
    python3.  LP: #798192.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 15 May 2013 04:07:27 -0500

lsb (4.1+Debian9) unstable; urgency=low

  [ Jeff Licquia ]
  * Sanity-check pidofproc parameters. (Closes: #691422)

 -- Didier Raboud <odyx@debian.org>  Mon, 12 Nov 2012 08:58:04 +0100

lsb (4.1+Debian8) unstable; urgency=low

  * Fix libqt3-mt missing epoch.
  * Hide the stderr output of $(initctl version) in init_is_upstart.
    (Closes: #682032)

 -- Didier Raboud <odyx@debian.org>  Mon, 05 Nov 2012 12:03:33 +0100

lsb (4.1+Debian7) unstable; urgency=low

  * lsb-desktop: Demote Qt3 dependency to a Recommends. Closes: #604360
    - Add a README.Debian to lsb-desktop to document the possibility to
      install Qt3 from snapshot.debian.org;
    - Add a NEWS.Debian to lsb-desktop to document the derogation to the
      LSB 4.1 specification.

  * Accept utf-8 in `apt-cache policy` and `dpkg-query` outputs; add
    test-case. (Closes: #675618)

 -- Didier Raboud <odyx@debian.org>  Sun, 10 Jun 2012 23:18:07 +0200

lsb (4.1+Debian6) unstable; urgency=low

  * Revert "Allow FANCYTTY to be sourced from /etc/default/rcS." This
    avoids one ugly `set +u` in the $() subshell and avoids the hijack
    of /etc/default/rcS. (Reopens: #673207, Closes: #675162, #675197)

 -- Didier Raboud <odyx@debian.org>  Wed, 30 May 2012 19:27:22 +0200

lsb (4.1+Debian5) unstable; urgency=low

  * lsb-base; init-functions:
    - Correct comment about hooks.
    - Enhance doc about files sourced from init-functions
    - Allow FANCYTTY to be sourced from /etc/default/rcS. (Closes: #673207)
    - Safe-guard calls to echo with `|| true`; this helps towards making
      sure init.d scripts called with `set -e` continue to work, see
      #661002.

  * lsb-release; python code:
    - In guess_debian_release(), avoid calling guess_release_from_apt()
      and hence the slow `apt-cache policy` if a codename is already
      provided. Patch by Francois Gouget. (Closes: #674143)
    - Add unittests for all lsb_release.py functions.
    - Upgrade to python3-compatible syntax.
    - Deprecate the lsb_release.compare_releases() function.

  * lsb-invalid-mta;
    -  Add the /usr/lib/sendmail symlink to /usr/sbin/sendmail.
       (LP: #580914)

 -- Didier Raboud <odyx@debian.org>  Tue, 29 May 2012 09:33:04 +0200

lsb (4.1+Debian4) unstable; urgency=low

  * In init-functions, include hooks from /lib/lsb/init-functions.d
    - Source any file in there.
    - Document that in lsb-base.README.
    - Put the Ubuntu logging functions in there; remove the now-obsolete
      configuration file with dpkg-maintscript-helper.
    - Move the "Fancy output left info blocks" in there.

  * Python code: Add an initial (but incomplete) unittest framework for python
    2.7 and 3.2.

  * Properly document the first version with init_is_upstart.
  * Avoid writing the now useless lsb-qt4.substvars file.

 -- Didier Raboud <odyx@debian.org>  Fri, 18 May 2012 22:06:07 +0200

lsb (4.1+Debian3) unstable; urgency=low

  [ Didier Raboud ]
  * Compress the orig source tarball with bzip2.
  * Update LSB and packages versions in README.Debian.
  * Fix typo in lsb-invalid-mta's Description.
  * Drop empty directory in lsb-base.
    Instead of moving lsb-base-logging.sh to /etc/lsb/, drop the empty /etc/lsb.
    (Closes: #671730)

  [ Steve Langasek ]
  * Add a new helper function: init_is_upstart().
    init_is_upstart() is to be used by init scripts of upstart-aware packages to
    render the init script inert when upstart is present.
    Signed-off-by: Didier Raboud <odyx@debian.org> (Closes: #661109)

 -- Didier Raboud <odyx@debian.org>  Mon, 07 May 2012 19:21:36 +0200

lsb (4.1+Debian2) unstable; urgency=low

  * Fancy output:
    - Avoid two superfluous calls to /bin/echo.
    - Make the cursor invisible when printing the status block.
  * Make sure OPTIND is marked local for each use. (Closes: #669909)

 -- Didier Raboud <odyx@debian.org>  Tue, 24 Apr 2012 21:33:39 +0200

lsb (4.1+Debian1) unstable; urgency=low

  * lsb-base: Upload the new "Fancy output" to unstable:
    - Move information from NEWS.Debian to README.Debian, enhance it.

  * pidofproc(): Make sure to try /bin/pidof when no pidfile is
    specified. (Closes: #668958)
  * In killproc(), make sure to exit 0 when the program is not running
    and when no signal was specified. (Closes: #668416)

 -- Didier Raboud <odyx@debian.org>  Thu, 19 Apr 2012 11:25:01 +0200

lsb (4.1+Debian0+fancy1) experimental; urgency=low

  * Fancy output: prepend [info] blocks to log_action_msg calls.

 -- Didier Raboud <odyx@debian.org>  Thu, 12 Apr 2012 21:20:09 +0200

lsb (4.1+Debian0+fancy0) experimental; urgency=low

  * Make the init.d scripts messages fancier by prepending them a [....]
    block that becomes [ ok ], [warn] or [FAIL] depending on the daemons
    exit statuses (Closes: #416485).
    - Update lsb-base' README.Debian and NEWS.

 -- Didier Raboud <odyx@debian.org>  Sat, 31 Mar 2012 18:49:23 +0200

lsb (4.1+Debian0) unstable; urgency=low

  * Upload LSB 4.1 support to unstable.
  * Add lsb-languages to lsb Depends.
  * Drop lsb suggests, obsoleted by dependencies changes.
  * Make init-functions' status_of_proc return the LSB-documented 3 on
    inexistant pidfiles. (Closes: #664621)

 -- Didier Raboud <odyx@debian.org>  Mon, 26 Mar 2012 22:54:40 +0200

lsb (4.1+Debian0~exp2) experimental; urgency=low

   * lsb-base.README.Debian: Document status_of_proc. (Closes: #565631)
   * Tighten more dependencies between lsb packages.
   * Update package relationships to match LSB 4.1:
     - Add lsb-security to lsb-core Depends.
     - Add lsb-multimedia to lsb-desktop Depends.
     - Add libpod-plainer-perl to lsb-languages depends.
   * Rewrite debian/copyright using the copyright-format 1.0.
   * Bump Standards-Version to 3.9.3 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Thu, 15 Mar 2012 11:02:19 +0100

lsb (4.1+Debian0~exp1) experimental; urgency=low

  * Merge the lsb 3.2+Debian31 Debian release.
  * Tighten dependencies between lsb-* packages.
  * In killproc(), re-add a '--retry 5' to s-s-d when no signal is
    specified. (Closes: #650584)

 -- Didier Raboud <odyx@debian.org>  Sun, 11 Mar 2012 17:34:53 +0100

lsb (4.1+Debian0~exp0) experimental; urgency=low

  [ Till Kamppeter ]
  * Add the "lsb-invalid-mta" package, with a fake sendmail. This allows
    the installation of LSB packages to not pull in an MTA any more,
    which once adds awkward configuration questions to the installation
    process and second adds an often unnneeded daemon to the system.
    (LP: #141641)

  [ Didier Raboud ]
  * Upgrade to support LSB 4.1. (Closes: #586191, LP: #385606, #386128)
    LSB changes:
     - Bump Depends:
       - on libglib2.0-0  to >= 2.12.13;
       - on fontconfig    to >= 2.6.0;
       - on libglib2.0-0  to >= 2.12.13;
       - on libatk1.0-0   to >= 1.10.3;
       - on libpango1.0-0 to >= 1.10.4;
       - on libgtk2.0-0   to >= 2.10.14;
     - Add Depends:
       - on libglu1;
       - on libcairo2     to >= 1.2.0;
       - on libxtst6;
       - on ghostscript-cups;
     - In lsb, bump lsb-printing from Suggests to Depends.
     - Add the lsb-security package.
     - Drop the now-obsolete lsb-qt4 package.
    Debian changes:
     - libgl1-mesa-glx is the first alternative for libgl1;
     - Make sure all packages have ${misc:Depends}.

 -- Didier Raboud <odyx@debian.org>  Mon, 05 Mar 2012 22:42:21 +0100

lsb (3.2+Debian31) unstable; urgency=low

  [ Didier Raboud ]
  * Correct a bug number in the 3.2+Debian30 upload.
  * Promote lsb-release to Priority: optional.
  * Fix both unused and undeclared local variables in pidofproc.
    (Closes: #663351)

  [ Peter Eisentraut ]
  * Handle non-world-readable pid files. (Closes: #653598)

 -- Didier Raboud <odyx@debian.org>  Sun, 11 Mar 2012 15:04:47 +0100

lsb (3.2+Debian30) unstable; urgency=low

  * Drop Depends on essentials sed & ncurses-bin. (Closes: #488237)
  * Don't display Debian revision in lsb_release modules version output.
  * Update Qt4 relationships to current packaging. (Closes: #661888)
  * Remove /lib/ld-lsb-x86-64.so.* only on upgrade. (Closes: #642076)

 -- Didier Raboud <odyx@debian.org>  Mon, 05 Mar 2012 20:15:43 +0100

lsb (3.2+Debian29) unstable; urgency=low

  [ Didier Raboud ]
  * Wrap debian/control package relationship lines.
  * Put under explicit debian-lsb@l.d.o team maintenance.
    (Closes: #616131)
  * Add myself as uploader.
  * Drop Chris Lawrence from Uploaders with great thanks for his past
    work. (Closes: #616131)
  * Define source format as '3.0 (native)'.
  * Reduce debian/rules using tiny dh7 style.
  * Add initial lintian overrides files.
  * Add explicit `set -e` to maintainer scripts.
  * Drop Conflicts/Replaces for old package versions.
  * Install lsb-base-logging.sh on Ubuntu.
  * Update the Homepage field to point to the public URL.
    (Closes: #653917)
  * Depend on cron-daemon, with cron as first alternative.
    (Closes: #638004)
  * Add Vcs-* fields as this will now be maintained on collab-maint's
    Git.
  * Correct URLs to refspecs.{freestandards,linuxbase}.org.
  * Recognise Debian Ports as `sid` too. (Closes: #624769)

  [ Michael Vogt ]
  * Switch from python-central to dh_python2. (Closes: #606354)

  [ Colin Watson ]
  * Ensure that files are closed promptly in lsb_release.py
  * Mark lsb-base Multi-Arch: foreign. (LP: #904013)

  [ Steve Langasek ]
  * Don't run apt-cache if /etc/lsb-release exists.
  * Mark lsb-release Multi-Arch: foreign.
  * Use $DPKG_MAINTSCRIPT_ARCH in maintainer scripts

  [ Simone Rossetto ]
  * Fix for unsupported negative value in pin priorities.
    (Closes: #540208)

  [ Michał Kułach ]
  * Add the Debconf Polish translation. (Closes: #661251)

  [ Jeff Licquia ]
  * Add me to Uploaders.

 -- Didier Raboud <odyx@debian.org>  Thu, 01 Mar 2012 22:04:11 +0100

lsb (3.2-28.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Korean (강민지).  Closes: #632010,#632018
    - Catalan; (Innocent De Marchi).  Closes: #641828

 -- Christian Perrier <bubulle@debian.org>  Mon, 16 Jan 2012 07:21:11 +0100

lsb (3.2-28) unstable; urgency=low

  * Fix symlinks for AMD64.  (Closes: #638450)
  * Please note the RFA/ITA for this package (#616131).

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 26 Aug 2011 16:25:30 -0400

lsb (3.2-27) unstable; urgency=low

  * Track down another use of dpkg --print-installation-architecture.
    (Closes: #610049)
  * Various cleanups to init-functions, courtesy of Jari Aalto:
    + Use /bin/echo when using options throughout.  (Closes: #602038)
    + Use $() command substitution.  (Closes: #602035)
    + Use && and || instead of -a and -o.  (Closes: #602037)
    + Break long lines.  (Closes: #602039)
    + Cleanup use of local.  (Closes: #602042)
    + Use single-line statements.  (Closes: #602044)
    + Use self-documenting values of variables.  (Closes: #602048)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 17 Jan 2011 14:24:35 -0600

lsb (3.2-26) unstable; urgency=low

  * Fix reversed assignment in compare_release.  (Closes: #540208)
  * Move lsb(8) to lsb-core package.  (Closes: #589101)
  * Update da translation of debconf templates; thanks to Joe Dalton.
    (Closes: #599461)
  
 -- Chris Lawrence <lawrencc@debian.org>  Wed, 06 Oct 2010 20:35:30 -0500

lsb (3.2-25) unstable; urgency=low

  * Improve release comparison function when 'suite' is missing from
    sources.list.  (Closes: #597667)
  * return 3 in pidofproc() if we can't track down a running copy of
    the process and the pidfile is missing.  (Closes: #597628)
  * Correct location of README.Debian.gz in lsb(8).  (Closes: #589100)
  * Add link to LSB specification in lsb(8).  (Closes: #589102)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 27 Sep 2010 01:15:49 -0500

lsb (3.2-24) unstable; urgency=low

  * Improve detection of Debian version when there is a "tie" in
    APT's sources.list.  Patch by Giovanni Mascellani.  (Closes: #540208)
  * Fix test for PID file in init-functions.  Patch by Keith O'Brien.
    (Closes: #545896)
  * Fix reporting for more recent versions of Debian GNU/kFreeBSD.  Patch
    by Gonéri Le Bouder.  (Closes: #595159)
  * Use --print-architecture instead of --print-installation-architecture
    in lsb-core postinst.  (Closes: #542610)
  * Fix formatting error in lsb_release(1).  Patch by Adam Guthrie.
    (Closes: #586575)
  * Update pt_BR translation for debconf messages, thanks to Flamarion Jorge.
    (Closes: #596438)

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 18 Sep 2010 17:08:17 -0500

lsb (3.2-23.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix dependencies of lsb-core on kfreebsd-* and hurd-* to make the
    package installable. Thanks to Aurelien Jarno for the patch and the
    bugreport.  (Closes: #539284)
  * Set XS-Python-Version to all to make lsb-release available for all
    supported Python versions. Thanks to Sandro Tosi for the bug report.
    (Closes: #570586)
  * Don't make lsb-core conflict with python (>= 2.6).

 -- Jakub Wilk <jwilk@debian.org>  Sun, 21 Mar 2010 15:39:47 +0100

lsb (4.0-0ubuntu27) raring; urgency=low

  * lsb_release: Add -Es to #! line for Python so that it will ignore
    the $PYTHON* environment variables, and not add the user's site
    directory to sys.path.  Both of these are general recommendations that
    should apply to all system scripts, but in this case fixes LP: #938869

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 23 Oct 2012 18:48:21 -0400

lsb (4.0-0ubuntu26) quantal; urgency=low

  * When a pidfile is specified, but fails to produce a PID to test,
    return "unknown" if it exists but isn't readable (as would be
    the case for non-root with a root-only pidfile), and return "not
    running" if the pidfile otherwise doesn't provide a useful PID.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 10 Oct 2012 11:21:48 -0600

lsb (4.0-0ubuntu25) quantal; urgency=low

  * Fix regression from 4.0-0ubuntu23 that would cause status_of_proc
    to return success if asked to find a service by pidfile, while an
    entirely different copy (chroot, different user, etc) was running 

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 10 Oct 2012 10:20:42 -0600

lsb (4.0-0ubuntu24) quantal; urgency=low

  * Drop Qt3 from lsb-desktop depends and add lsb-desktop.NEWS to explain its
    absence (following Debian) (LP: #1029476)
    - Needed for Qt3 removal

 -- Scott Kitterman <scott@kitterman.com>  Fri, 28 Sep 2012 20:32:15 -0400

lsb (4.0-0ubuntu23) quantal; urgency=low

  * Fix status_of_proc returning incorrect error code (LP: #683640)

 -- Adam Stokes <adam.stokes@canonical.com>  Tue, 24 Jul 2012 13:26:54 -0700

lsb (4.0-0ubuntu22) quantal; urgency=low

  * Use python3 instead of python2 (again).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Apr 2012 12:49:32 +0200

lsb (4.0-0ubuntu20) precise; urgency=low

  * Revert back to using python 2, in a desperate act to get the CDs back in
    size by dropping Python 3. My special condolences to Barry!

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 24 Feb 2012 17:52:31 +0100

lsb (4.0-0ubuntu19) precise; urgency=low

  * Mark lsb-base Multi-Arch: foreign (LP: #904013).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 Jan 2012 16:59:48 +0000

lsb (4.0-0ubuntu18) precise; urgency=low

  * lsb_release.py: Ensure that files are closed promptly; Python 3.2 prints
    ResourceWarning noise otherwise.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 Jan 2012 16:53:06 +0000

lsb (4.0-0ubuntu17) precise; urgency=low

  * Use python3 instead of python2.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Dec 2011 14:58:09 +0100

lsb (4.0-0ubuntu16) oneiric; urgency=low

  * Cherry-pick from Debian 3.2-28 (LP: #837745):
    - Fix symlinks for AMD64.  (Closes: #638450)

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 19 Sep 2011 10:20:31 +0100

lsb (4.0-0ubuntu15) oneiric; urgency=low

  * Use python (2.x) again for the scripts.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Aug 2011 17:01:44 +0200

lsb (4.0-0ubuntu14) oneiric; urgency=low

  * Use $DPKG_MAINTSCRIPT_ARCH in the maintainer scripts to decide the correct
    symlinks to set up, instead of going by the dpkg built-in architecture.
  * Mark lsb-release Multi-Arch: foreign.
  * Mark lsb-core as Multi-Arch: foreign.  This is *incorrect*, because a
    given package needs the libraries of the corresponding architecture; but
    the common case is i386+amd64, where an amd64 lsb-core actually does
    guarantee that the i386 dependencies are satisfied via biarch, so we do
    this so we can have things like googleearth installable instead of having
    to worry about libncurses5 for oneiric.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 15 Aug 2011 18:43:56 -0700

lsb (4.0-0ubuntu13) oneiric; urgency=low

  * Use python3 instead of python2.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Jun 2011 14:42:43 +0200

lsb (4.0-0ubuntu12) oneiric; urgency=low

  * switch from python-central to dh_python2
  * add "python" manually as a dependency for lsb-core, this used
    to get add by ${python:Depends} but its missing now

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 10 Jun 2011 13:41:04 +0200

lsb (4.0-0ubuntu11) natty; urgency=low

  * Make sure LOG_DAEMON_MSG is set to avoid init scripts crashing when
    running with -u (LP: #770381)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 25 Apr 2011 13:13:07 -0400

lsb (4.0-0ubuntu10) natty; urgency=low

  * Make lsb-base-logging-ubuntu.sh plymouth-aware (LP: #752393)
    When booting with plymouth running, log_daemon_msg now stores its output
    in a variable until log_end_msg is called. Avoid buffering issue.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 11 Apr 2011 14:05:55 -0400

lsb (4.0-0ubuntu9) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 00:04:26 +0000

lsb (4.0-0ubuntu8) lucid; urgency=low

  * sendmail, debian/control, debian/rules, debian/lsb-invalid-mta.dirs:
    Added new binary package "lsb-invalid-mta" containing a fake
    /usr/sbin/sendmail so that the installation of LSB packages does not
    pull in an MTA any more, which once adds awkward configuration questions
    to the installation process and second adds an often unnneeded daemon to
    the system (LP: #141641).

  * debian/control: The LSB requires the printing environment already
    since version 3.2. Made lsb-printing required by the "lsb" package
    not only suggested (LP: #386128).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 22 Feb 2010 23:50:49 +0100

lsb (4.0-0ubuntu7) lucid; urgency=low

  * Remove /usr/lib/pymodules/python2.6/lsb_release.py on upgrades; this might
    have stayed behind due to using python-support in intermediate karmic
    development versions; LP: #418017.

 -- Loïc Minier <loic.minier@ubuntu.com>  Fri, 18 Dec 2009 15:34:25 +0100

lsb (4.0-0ubuntu6) lucid; urgency=low

  * lsb-base-logging-ubuntu.sh: Remove the log_to_console madness, it doesn't
    work with Plymouth anyway.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 04 Dec 2009 11:46:53 +0000

lsb (4.0-0ubuntu5) karmic; urgency=low

  * lsb-base-logging-ubuntu.sh: Honour CONSOLE environment variable and use
    it for output instead of /dev/console if it's set (LP: #440871).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 08 Oct 2009 19:53:53 +0100

lsb (4.0-0ubuntu4) karmic; urgency=low

  * Merge 3.2-23 from Debian, fixing TERM handling in log_use_fancy_output
    (LP: #418461).
  * Use dpkg --print-architecture rather than
    --print-installation-architecture (LP: #403316).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 10 Sep 2009 12:42:03 +0100

lsb (4.0-0ubuntu3) karmic; urgency=low

  * rebuild using python-central and DH_PYCENTRAL=include-links
    (LP: #383697)
  * debian/control: 
    - set XS-Python-Version to "all"
    - depend on python-central
  * debian/lsb-release.dirs, debian/rules:
    - install into usr/share/pyshared/

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 21 Aug 2009 16:44:13 +0200

lsb (4.0-0ubuntu2) karmic; urgency=low

  * debian/control: Added ghostscript-cups dependency (LP: #385606).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 11 Jun 2009 23:43:49 +0200

lsb (4.0-0ubuntu1) karmic; urgency=low

  * Merge from Debian unstable, remaining changes:
    - lsb-base-logging-ubuntu.sh: change log_{success,warning,failure}_msg()
      to use usplash_write "TEXT" instead of "STATUS" to avoid unreadable
      line-wrapping when using usplash in verbose mode.
    - Don't conflict with python (>= 2.6).
    - Depend on postfix rather than exim4 as preferred mail-transport-agent
      alternative.
    - Depend on libgl1-mesa-glx rather than libgl1-mesa as preferred libgl1
      alternative.
    - Since /etc/lsb-release overrides detected information, there's no
      need to try and detect that information if lsb-release contains
      everything we need.  This saves us calling the hugely expensive
      apt-cache.
    - Add Ubuntu logging functions.

  [ Jeff Licquia ]
  * Upgrade to support LSB 4.0.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 02 Jun 2009 20:20:07 +0000

lsb (3.2-23) unstable; urgency=low

  * Fix tests for $TERM in log_use_fancy_output().  (Closes: #537112, #536190)
  * Add libnss3-1d and libqt4-sql-sqlite to lsb-desktop dependencies.
    (Closes: #534277, #534452)
  * Properly trap open() failures in lsb_release.  (Closes: #521462)
  * Ignore empty arguments in /etc/lsb-release.  (Closes: #485565)
    May also fix #514041.
  * Better test for existant but unreadable PID file.  (Closes: #527890)
  * Add some punctuation to log_{warning,failure}_msg.  (Closes: #525684)
  * lsb-core depends on cups-bsd | lpr, since it is more likely that
    someone in 2009 will have CUPS installed already than want to use lpr
    instead.  (Closes: #512098)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 21 Jul 2009 04:03:41 -0500

lsb (3.2-22) unstable; urgency=low

  * Fix quoting of $PWD in start-stop-daemon call.  (Closes: #520499)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 20 Mar 2009 11:40:50 -0500

lsb (3.2-21) unstable; urgency=low

  * Provide lsb_release module for Python applications.  (Closes: #486262)
  * Change working directory to $PWD in start-stop-daemon, for better
    compatibility with LSB applications.  (Closes: #519817)
  * return 3 rather than 4 in pidofproc if a PID file is specified and
    the daemon is not found.  (Closes: #494623)
  * Improve handling of future testing versions unknown to lsb-release.
    Patch by Jan Muszynski (Closes: #517594).
  * Fix DeprecationWarning with Python 2.6; patch from Colin Watson and
    Anders Kaseorg.  (Closes: #517819)
  * Bypass guess_debian_release() if /etc/lsb-release is complete.
    Patch from Scott James Remnant.  (Closes: #511952)
  * 'time' was missing from lsb-core dependencies.  (Closes: #510488)
  * Demote lsb to a suggestion by lsb-release.  (Closes: #509611)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 19 Mar 2009 16:29:25 -0500

lsb (3.2-20ubuntu4) jaunty; urgency=low

  * Replace the deprecated Python sets module with the builtin set type,
    if it is available (python >= 2.4), to avoid spewing warnings for
    python >= 2.6.  (LP: #336436)

 -- Anders Kaseorg <andersk@mit.edu>  Mon, 02 Mar 2009 03:35:14 -0500

lsb (3.2-20ubuntu3) jaunty; urgency=low

  * lsb-base-logging-ubuntu.sh: change log_{success,warning,failure}_msg()
    to use usplash_write "TEXT" instead of "STATUS" to avoid unreadable
    line-wrapping when using usplash in verbose mode (LP: #291543).

 -- Kees Cook <kees@ubuntu.com>  Sat, 07 Feb 2009 14:22:19 -0800

lsb (3.2-20ubuntu2) jaunty; urgency=low

  * Since /etc/lsb-release overrides detected information, there's no
    need to try and detect that information if lsb-release contains
    everything we need.  This saves us calling the hugely expensive
    apt-cache.   LP: #262050.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 15 Jan 2009 21:24:13 +0000

lsb (3.2-20ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian (cups dependency change fixes LP: #279345).
    Remaining changes:
    - Don't conflict with python (>= 2.6).
    - Depend on postfix rather than exim4 as preferred mail-transport-agent
      alternative.
    - Depend on libgl1-mesa-glx rather than libgl1-mesa as preferred libgl1
      alternative.
    - Add Ubuntu logging functions.
  * Revert some apparently unintentional dependency changes on the Ubuntu
    side of the merge: move libncurses5 and libpam0g dependencies back from
    lsb-base to lsb-core; set lsb's dependencies on lsb-printing,
    lsb-multimedia, and lsb-languages back to suggestions; and remove lsb's
    suggestion of lsb-qt4.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 02 Nov 2008 23:48:49 +0000

lsb (3.2-20) unstable; urgency=low

  * Revert change in 3.2-16 that broke killproc due to my misunderstanding
    of the spec.  (Closes: #495587)
  * pidofproc now also checks for /var/run/$base.pid if -p is not specified,
    fixing conformance with the spec.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 18 Aug 2008 16:34:24 -0500

lsb (3.2-19) unstable; urgency=low

  * Return 0 in log_failure_msg too.
  
 -- Chris Lawrence <lawrencc@debian.org>  Mon, 04 Aug 2008 20:29:54 -0500

lsb (3.2-18) unstable; urgency=low

  * Also fix case where stdout isn't color-capable.  (Closes: #493505, again)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 04 Aug 2008 02:31:03 -0500

lsb (3.2-17) unstable; urgency=low

  * log_{success,failure,warning}_msg suck, please don't use them for
    Debian scripts.  Nonetheless, breakage fixed.  (Closes: #493505)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 03 Aug 2008 10:15:45 -0500

lsb (3.2-16) unstable; urgency=low

  * Add a bugscript to lsb-release to help figure out why people keep
    getting very strange results.
  * Lenny will be Debian 5.0, not Debian 4.1; fix accordingly.
  * Improve output of lsb-specified logging functions; deal with
    in-the-wild variations that omit messages.
  * No longer use --retry in start-stop-daemon calls.  (Closes: #451529)
  * Fix behavior of killproc and pidofproc when no pidfile is passed in.
  * Call pidof with -x to include scripts that may be daemonized.
  * Change dependencies *cupsys* -> *cups*.  (Closes: #490381)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 01 Aug 2008 16:39:43 -0500

lsb (3.2-15) unstable; urgency=low

  * Add Basque [eu] translation.  (Closes: #491005)
  * Fix log_action_end_msg_pre function definition (_post was defined twice).
    (Closes: #491087)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 16 Jul 2008 14:24:44 -0500

lsb (3.2-14ubuntu2) intrepid; urgency=low

  * Backport from Debian:
    - Fix log_action_end_msg_pre function definition (_post was defined
      twice). (LP: #262680)

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Sep 2008 13:44:44 +0100

lsb (3.2-14ubuntu1) intrepid; urgency=low

  * Merge from debian unstable (LP: #249059), remaining changes:
    - debian/control:
      + Remove python from conflicts
      + Keep Ubuntu's Depends and Suggests
      + Update maintainer
    - debian/rules:
      + copy lsb-base-logging-ubuntu.sh
    - lsb-base-logging-ubuntu.sh:
      + logging functions suitable for Ubuntu
  * Dropped changes
    - Debian has accepted all of the status_of_proc() functionality

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 16 Jul 2008 08:56:28 -0500

lsb (3.2-14) unstable; urgency=low

  * Update pidofproc(), status_of_proc() to sync with Ubuntu.
    Thanks to Dustin Kirkland.  (Closes: #490095)
  * Add hooks to init-functions, thanks to Miroslav Jezbera.
    These are documented in README.Debian in lsb-base.
    (Closes: #490408)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 14 Jul 2008 11:30:52 -0500

lsb (3.2-13) unstable; urgency=low

  * Include status_of_proc() function from Ubuntu's lsb-base.
    Thanks to Dustin Kirkland.  (Closes: #483285)
  * This patch also allows pidofproc to work on other users' processes.
    (Closes: #452992)
  * Fix output of lsb_release -h to properly describe what -s does.
    (Closes: #479542)
  * Add Slovak translation.  (Closes: #489265)
  * Fix dependencies to not use >>.  (Closes: #461340)
  * Document init-functions license in debian/copyright.
    (Closes: #481281)
  * Also fix text of init-functions license to remove the reference to
    "the Regents," who didn't author any of init-functions.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 08 Jul 2008 22:03:10 -0500

lsb (3.2-12ubuntu3) intrepid; urgency=low

  * init-functions: 
    - In pidofproc(), if the kill -0 fails, use ps to detect if
      the proc is running.
    - Revert status_of_proc() functionality *back* to using pidofproc() 
      now that it can run as non-root (LP: #246735). 
    - Add support for passing a -p $pidfile parameter.

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 09 Jul 2008 16:15:05 -0500

lsb (3.2-12ubuntu2) intrepid; urgency=low

  * init-functions: Replace pidofproc() call in status_of_proc() with a
    /bin/pidof call, to allow any user to query service status (LP: #246735).

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 08 Jul 2008 15:38:55 -0500

lsb (3.2-12ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - init-functions:
      + Debian has a "return 0" that should be "return 3" per LSB spec
      + Make pidof call "set -e safe", LP: #204594
      + Add status_of_proc() function, LP: #203169
    - debian/control:
      + Remove python from conflicts
      + Keep Ubuntu's Depends and Suggests

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 04 Jun 2008 13:18:56 -0500

lsb (3.2-12) unstable; urgency=medium

  * Fix reversed test in killproc().  (Closes: #478871)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 01 May 2008 10:08:49 -0500

lsb (3.2-11) unstable; urgency=low

  * Depend on gs | ghostscript to help with Python transition.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 26 Apr 2008 15:47:00 -0500

lsb (3.2-10) unstable; urgency=low

  * Fix typo in lsb_release.  (Closes: #476969)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 20 Apr 2008 09:28:20 -0500

lsb (3.2-9) unstable; urgency=low

  * Fix lsb_release detection when apt-cache policy identifies no Debian
    sources.  (Closes: #476288)
  * Only use fancy TTY output if TERM is set and FD 1 is a terminal.
    (Closes: #470993)
  * Do not use eval in start_daemon().  (Closes: #406059)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 17 Apr 2008 20:38:23 -0500

lsb (3.2-8) unstable; urgency=medium

  * Bump conflicts to python < 2.6.  (Closes: #475953)
  * init-functions: In killproc(), return 0 if program is not running
    (instead of 3).  (Closes: #475258)
  * lsb_release: Due to popular demand, report pinned release rather than
    "unstable" on systems with multiple releases in sources.list.
    (Closes: #459257)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 14 Apr 2008 01:00:50 -0500

lsb (3.2-7) unstable; urgency=low

  * Remove libstdc++5 dependency on all architectures, since it's only
    needed before LSB 3.0.
  * Revoke provision of lsb-cxx < 3.0 according to lsb_release.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 05 Apr 2008 16:32:13 -0500

lsb (3.2-6) unstable; urgency=low

  * Kill old versions of /etc/lsb-release deader.  (Closes: #467219)
  * Fix debian/rules:
    + Change DEB_BUILD_ARCH_CPU -> DEB_HOST_ARCH_CPU
      ("host" is what we're building for)
    + Detect armel using DEB_HOST_GNU_CPU_TYPE=arm-linux-gnueabi
  * Remove duplicate LSB modules from lsb_release -v output.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 30 Mar 2008 17:36:18 -0500

lsb (3.2-5) unstable; urgency=low

  * Fix init-functions with set -e.  (Closes: #472794)
    Patch from Matthias Klose.
  * Downgrade optional LSB modules to suggestions from main "lsb" package
    (core LSB dependency for LSB 1.x); remove obsolete lsb-qt4 from its
    dependencies.
  * lsb-desktop now provides lsb-qt4*, essentially making lsb-qt4 a dummy
    package.
  * lsb-cxx: Don't depend on libstdc++5 on armel.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 26 Mar 2008 10:26:53 -0500

lsb (3.2-4ubuntu1) hardy; urgency=low

  * Merge with Debian; remaining changes:
    - Depend on postfix rather than exim4 as preferred mail-transport-agent
      alternative.
    - Depend on libgl1-mesa-glx rather than libgl1-mesa as preferred libgl1
      alternative.
    - Add Ubuntu logging functions.
    - lsb: Drop the optional lsb-qt4 module to a suggests.
    - Maintainer field set to Ubuntu.
  * init-functions: Make functions safe to use with sh -e.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Mar 2008 18:48:17 +0000

lsb (3.2-4) unstable; urgency=high

  * Reverse test in killproc().  (Closes: #469404)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 05 Mar 2008 13:01:08 -0600

lsb (3.2-3) unstable; urgency=medium

  * Handle missing $sig in killproc() properly.  (Closes: #469167)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 03 Mar 2008 09:01:07 -0600

lsb (3.2-2) unstable; urgency=low

  * lsb_release -v now detects the lsb-qt4 version(s) installed correctly.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 02 Mar 2008 18:22:22 -0600

lsb (3.2-1) unstable; urgency=low

  * New LSB version.
    + Add libpam0g, libncurses5 to lsb-base.
    + Add libqt4-gui, libfreetype6, libxrender1, libxft2 to lsb-desktop.
    + lsb-qt4 appears to be deprecated by the new lsb-desktop requirements.
    + Add new printing, multimedia, and languages modules.
  * More killproc() fixes.  (Closes: #453636)
  * Use /etc/debian_version in preference to apt autodetection.
    (Closes: #427221)
  * Handle non-zero status from start-stop-daemon better.  (Closes: #451532)
  * All fancy output uses /bin/echo -e now.  (Closes: #463082)
  * Add/update translations:
      fi (Closes: #447184)
      ro (Closes: #468670)
      ja (Closes: #462757)
      pt (Closes: #439402)
  * Ignore invalid lines in /etc/lsb-release.  (Closes: #454352)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 02 Mar 2008 02:13:58 -0600

lsb (3.1-24ubuntu2) hardy; urgency=low

  * lsb-cxx: Drop dependency on libstdc++5, not needed by LSB-3.1.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 23 Jan 2008 15:46:09 +0000

lsb (3.1-24ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Depend on postfix rather than exim4 as preferred mail-transport-agent
      alternative.
    - Depend on libgl1-mesa-glx rather than libgl1-mesa as preferred libgl1
      alternative.
    - Add Ubuntu logging functions.
    - Drop the optional lsb-qt4 module to a suggests.
    - maintainer field set to ubuntu

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 19 Nov 2007 11:37:25 +0100

lsb (3.1-24) unstable; urgency=low

  * Acknowledge NMU by Christian Perrier.
  * Apply patch from Javier Fernández-Sanguino Peña to improve release
    detection.  (Closes: #425627, #405993)
  * lsb-release no longer recommends lsb.  (Closes: #426807)
  * Update debconf templates per Smith project.  (Closes: #422973)
  * Add/update translations:
    Vietnamese (Closes: #426834)
    Galician (Closes: #423685)
    Swedish (Closes: #423904)
    Czech (Closes: #425154)
    Italian (Closes: #425258)
    Dutch (Closes: #425710)
    French (Closes: #426105)
    Malay (Closes: #426237)
    German (Closes: #426599)
    Russian (Closes: #426741)
    Arabic (Closes: #423616)
    Spanish (Closes: #423815)
  * Don't remove the pidfile in killproc if a signal is specified; the
    specification does not specify this behavior, and it can cause
    problems with signals like HUP.  (Closes: #416559)
  * And then, only remove the pidfile if the process is actually dead.
    (Closes: #410622)
  * Update codename for testing.  (Closes: #425646)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 25 Jul 2007 08:56:44 -0500

lsb (3.1-23.1ubuntu3) gutsy; urgency=low

  * Trigger rebuild for hppa

 -- LaMont Jones <lamont@ubuntu.com>  Thu, 04 Oct 2007 12:12:31 -0600

lsb (3.1-23.1ubuntu2) gutsy; urgency=low

  * Apply patch from Todd Brandt to handle "tput cols" returning negative
    values by then assuming we're on a 80 character wide terminal.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Thu, 06 Sep 2007 19:43:00 +0200

lsb (3.1-23.1ubuntu1) gutsy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Depend on postfix rather than exim4 as preferred mail-transport-agent
      alternative.
    - Depend on libgl1-mesa-glx rather than libgl1-mesa as preferred libgl1
      alternative.
    - Add Ubuntu logging functions.
    - Drop the optional lsb-qt4 module to a suggests.
    - maintainer field set to ubuntu

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 21 May 2007 08:26:51 +0200

lsb (3.1-23.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Portuguese. Closes: #408177
    - Convert PO files to UTF-8, except Japanese

 -- Christian Perrier <bubulle@debian.org>  Sat,  3 Mar 2007 13:12:58 +0100

lsb (3.1-23) unstable; urgency=low

  * Remove the pidfile in killproc() if successful.  (Closes: #400261)
  * Recommend apt in lsb-release; lsb-release can work without it, so
    no need to make it a hard dependency.  (Closes: #399991)
  * Fix missing paragraph break in lsb_release(1).  (Closes: #399989)
    Above two fixes courtesy of Julian Gibney.
  * Add Romanian and Spanish translations of debconf templates.
    (Closes: #403421, #403527)

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 20 Jan 2007 21:58:36 -0600

lsb (3.1-22ubuntu3) feisty; urgency=low

  * Don't fail if we can't log to /dev/console, it may not be openable.
    LP: #104371.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 10 Apr 2007 14:25:17 +0100

lsb (3.1-22ubuntu2) feisty; urgency=low

  * lsb-core: Remove conflict with python (<< 2.5).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 13 Jan 2007 16:09:53 +0100

lsb (3.1-22ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Depend on postfix rather than exim4 as preferred mail-transport-agent
      alternative.
    - Depend on libgl1-mesa-glx rather than libgl1-mesa as preferred libgl1
      alternative.
    - Add Ubuntu logging functions.
    - Drop the optional lsb-qt4 module to a suggests.
  * Make log_action_end_msg always return zero, per
    debian/lsb-base.README.Debian.
  * "ok" -> "OK" (closes: Malone #19245).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 21 Nov 2006 11:18:27 +0000

lsb (3.1-22) unstable; urgency=low

  * Fix crash when the Debian release is identified from
    /etc/debian_version and there is no corresponding codename (reported
    by Riku Voipio as a result of buildd failures).
  * log_use_fancy_output() had unintended behavior under set -e.
    (Thanks to Steve Langesek for the heads-up.)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 19 Nov 2006 20:27:59 -0600

lsb (3.1-21) unstable; urgency=low

  * lsb_release changes: Improve parsing of apt-cache policy output to be
    more flexible; deal with stable revisions in the codename lookup.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 19 Nov 2006 02:12:34 -0600

lsb (3.1-20) unstable; urgency=low

  * The "hopefully we can push this into testing now that the bugs are all
    shaken out, maybe" release.
  * Don't use --name in killproc() when a pidfile is provided; thanks to
    Timo Reimann for the patch.  (Closes: #397977)
  * Give lsb_release's heuristics priority over whatever is in
    /etc/debian_version; note that /etc/lsb-release will override both and
    should be supplied by derived distributions.  (Closes: #396853)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 15 Nov 2006 18:09:02 -0600

lsb (3.1-19) unstable; urgency=low

  * Now try the eval hack in start-stop-daemon, since nothing else seems
    to work.  (Closes: #388836)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 30 Oct 2006 19:08:26 -0600

lsb (3.1-18) unstable; urgency=low

  * etch will be Debian 4.0, not Debian 3.2.  (Closes: #395004)
  * Don't quote $@ in start-stop-daemon calls, which should resolve issues
    with multiple/quoted arguments to the daemon in start_daemon().
    (Closes: #388836)
  * Revert to testing for a fancy TTY before trying to call tput and friends,
    to avoid crap spewage on shutdown.  (Closes: #390363, #391981)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 27 Oct 2006 01:18:56 -0500

lsb (3.1-17) unstable; urgency=low

  * Set FANCYTTY to a null string to cope with init scripts that for some
    reason seem to use set -u.  (Closes: #390085)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 29 Sep 2006 01:50:51 -0500

lsb (3.1-16) unstable; urgency=low

  * Improve documentation of killproc().  (Closes: #384814)
  * Also improve documentation of pidofproc() in the same vein.
  * Move lsb_release to /usr.  (Closes: #389380)
  * Modify log_use_fancy_output() to only test once for a fancy TTY; patch
    by Brendan O'Dea.  (Closes: #389497)
  * Fix semantics of killproc() to behave properly when $sig is specified.
    (Closes: #389403)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 27 Sep 2006 18:10:12 -0500

lsb (3.1-15) unstable; urgency=low

  * Fix assignment to $opt in pidofproc().  (Closes: #384540)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 24 Aug 2006 19:08:02 -0500

lsb (3.1-14) unstable; urgency=low

  * Document LSB init functions more thoroughly in lsb-base's README.Debian.
    (Closes: #382597)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 11 Aug 2006 23:41:53 -0500

lsb (3.1-13) unstable; urgency=low

  * More tweaks to the getopts calls, to ensure that OPTIND is reset on
    each call.  (See #381822)

 -- Chris Lawrence <lawrencc@debian.org>  Wed,  9 Aug 2006 22:09:42 -0500

lsb (3.1-12) unstable; urgency=low

  * Revert log_end_msg() change.  (Closes: #381814)
  * killproc() returns 0 if a signal is not specified and the program
    is not running.  (Closes: #379387)
  * Divert output in pidofproc test to /dev/null.  (Closes: #381821)
  * Test tput setaf 1 in log_use_fancy_output().  (Closes: #375644)
  * Fix call to getopts in start_daemon to properly work with command
    options.  (Closes: #381822)

 -- Chris Lawrence <lawrencc@debian.org>  Mon,  7 Aug 2006 13:17:40 -0500

lsb (3.1-11) unstable; urgency=low

  * Patch for other architectures from Martin Habets
    <mhabets@mph.eclipse.co.uk> (closes: #375457)
  * Stop using basename: patch from Tore Anderson <tore@debian.org>
    (closes: #354028)
  * Move return code evaluation out of if $specified block in killproc, so
    that evaluation is dependant on whether or not process is running, not on
    whether a pidfile was specified (closes: #379387)
  * log_end_msg no longer returns non-zero.  It's a log function, after all
    (closes: #381687)
  * log_use_fancy_output is now overridable by admin (closes: #374780)
  * pidofproc actually checks if process is running (closes: #381684)
    (probably closes: #167757)
  * Use shell built-in getopts instead of /usr/bin/getopt (closes: #335216)
  * Remove reference to /usr/share/doc/lsb-core/html/ (closes: #380045)
  * Ru translation (thanks: Yuri Kozlov <kozlov.y@gmail.com>)
    (closes: #380430)
  * Above changes prepared by Stephen Gran <sgran@debian.org>.
  * Update debian/TODO, which was a wee bit out of date.
  * Accomplish Python policy transition. (Closes: #380858)

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  6 Aug 2006 18:18:08 -0500

lsb (3.1-10ubuntu4) edgy; urgency=low

  * Make log_to_console compatible with 'set -u' (closes: Malone #61688).
  * Avoid duplicate usplash_write calls via log_to_console.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Sep 2006 18:13:03 +0100

lsb (3.1-10ubuntu3) edgy; urgency=low

  * Write copies of the log messages to the console if QUIET is not yes.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 21 Sep 2006 03:10:31 +0100

lsb (3.1-10ubuntu2) edgy; urgency=low

  * Depend on libgl1-mesa-glx rather than libgl1-mesa as preferred libgl1
    alternative.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 27 Jul 2006 14:05:53 +0100

lsb (3.1-10ubuntu1) edgy; urgency=low

  * Merge from debian unstable, remaining changes:
    - exim4 suggested mta,
    - depend on libgl1-mesa instead of xlibmesa3-gl,
    - lsb-qt4 reduced to a suggests,
    - ubuntu init message functions,
    - ubuntu-style distribution description.

 -- Scott James Remnant <scott@ubuntu.com>  Thu,  6 Jul 2006 10:36:51 +0100

lsb (3.1-10) unstable; urgency=low

  * Quote tests of $specified.  (Closes: #370256)

 -- Chris Lawrence <lawrencc@debian.org>  Mon,  5 Jun 2006 16:00:17 -0400

lsb (3.1-9) unstable; urgency=high

  * Add missing < "$pidfile" to read in pidofproc().  (Closes: #370155)

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  4 Jun 2006 04:08:31 -0400

lsb (3.1-8) unstable; urgency=low

  * Fix killproc() to work if signal isn't specified; also fix the
    pidfile check in both killproc() and pidofproc().  (Closes: #370075)

 -- Chris Lawrence <lawrencc@debian.org>  Sat,  3 Jun 2006 02:45:55 -0400

lsb (3.1-7) unstable; urgency=low

  * lsb-graphics: Depend on libx11-6 | xlibs.  (Closes: #369955)

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  2 Jun 2006 15:47:52 -0400

lsb (3.1-6) unstable; urgency=low

  * Replace uses of $n with ${n:-} where $n could be unbound.
    (Closes: #369193)
  * Use pidof only if pid file is not specified.  (Closes: #365736)

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  1 Jun 2006 14:20:24 -0400

lsb (3.1-5ubuntu2) dapper; urgency=low

  * Drop the optional lsb-qt4 module to a suggests so it can stay in
    universe.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 18 May 2006 10:42:44 +0100

lsb (3.1-5ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Jeff Bailey <jbailey@ubuntu.com>  Thu, 18 May 2006 01:00:59 -0400

lsb (3.1-5) unstable; urgency=high

  * Remove /usr/X11R6/bin from lsb-core, since I'm pretty sure it's not
    strictly necessary for LSB compliance and it breaks x.org 7.0.
    (Closes: #365264)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 28 Apr 2006 17:33:15 -0400

lsb (3.1-4) unstable; urgency=high

  * Bump priority since (a) these changes are trivial and (b) 3.1-3 was
    two days from testing.
  * lsb-desktop: also depend on fontconfig (for fc-* binaries).
  * Add Galician debconf translation.  (Closes: #361938)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 20 Apr 2006 02:17:12 -0400

lsb (3.1-3) unstable; urgency=low

  * Fix dependency on libgtk2.  (Closes: #361879)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 10 Apr 2006 22:27:46 -0400

lsb (3.1-2) unstable; urgency=low

  * Upload lsb 3.1 support for unstable.
  * Really create ld-lsb-x86-64.so.3 symlink.  (Closes: #355959)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 10 Apr 2006 14:22:14 -0400

lsb (3.1-1) experimental; urgency=low

  * First crack at a package for LSB 3.1.
  * Add -desktop and -qt4 metapackages.
  * Update README.Debian and control file for 3.1.
  * Update lsb_release to recognize lsb-desktop and lsb-qt4 modules.
  * Update FSF address in debian/copyright.
  * Fix debian/control to allow sarge build.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 29 Mar 2006 16:11:45 -0500

lsb (3.0-16) unstable; urgency=low

  * Add ld-linux-x64-64.so.3 symlink on AMD64.  (Closes: #355959)
  * Depends: ia32-libs -> libc6-i386, lib32z1 on AMD64.  (Closes: #355388)
  * On purge or upgrade from < lsb-release 3.0-8, remove /etc/lsb-release
    if its md5sum is the same as that shipped in sarge.  (Closes: #355377)

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  9 Mar 2006 01:14:05 -0500

lsb (3.0-15) unstable; urgency=low

  * Test $TERM in log_use_fancy_output; if it is "dumb" we don't have a
    fancy TTY.  (Closes: #350291)
  * Better heuristics in lsb_release to guess whether we're running on
    testing or unstable.  (Closes: #95824, #341231)
    Note that /etc/lsb-release, if present, will override these results,
    and /etc/debian_version has priority.
  * Fix lsb_release to allow multiple fields to be displayed (i.e.
    lsb_release --id --codename).

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 28 Jan 2006 18:24:49 -0500

lsb (3.0-14) unstable; urgency=low

  * Allow lsb-base to be built on sarge.  (Closes: #345984)

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  8 Jan 2006 20:09:52 -0500

lsb (3.0-13) unstable; urgency=medium

  * The "answer all the questions in the changelog" release.
  * Skip empty headers when parsing RFC822 headers for init scripts.
    (Closes: #343310)
  * The versioned dependency on dpkg-dev is due to the use of
    DEB_*_ARCH_CPU in debian/rules, which only became available in dpkg
    1.13.2.  Feel free to submit a patch to facilitate a sarge backport.
    (Closes: #344392)
  * Since the lsb family of packages track an upstream specification with
    "non-native" version numbering, the use of a hyphenated version number
    for these native packages is justified.  (Closes: #344384)
    (Note that although it does violate policy for a non-native package to
    lack a hyphen in its version number, the contrapositive case does not
    violate policy.)
  * Deal with missing /etc/debian_version.  (Closes: #341719)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 29 Dec 2005 03:50:44 -0500

lsb (3.0-12ubuntu3) dapper; urgency=low

  * lsb-base-logging-ubuntu.sh: 
    - only use tput if it is actually available in log_end_msg() 
      (ubuntu: #23388)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 27 Feb 2006 13:32:26 +0100

lsb (3.0-12ubuntu2) dapper; urgency=low

  * change lsb-graphics dependency from xlibs to libx11-6 

 -- Oliver Grawert <ogra@ubuntu.com>  Sat, 11 Feb 2006 13:47:23 +0100

lsb (3.0-12ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  6 Dec 2005 16:47:29 +0000

lsb (3.0-12) unstable; urgency=low

  * Remove the pidfile in killproc().  (Closes: #321271)
  * Declare $i local where it was previously omitted.  (Closes: #340667)
  * Fix syntax errors in init-skeleton.  (Closes: #302009)
  * Add sv.po.  (Closes: #333595)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 29 Nov 2005 23:01:38 -0500

lsb (3.0-11ubuntu2) dapper; urgency=low

  * Fix lsb_release failure if /etc/debian_version is missing (closes:
    Launchpad #4912).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  2 Dec 2005 14:59:02 +0000

lsb (3.0-11ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.
  * Initial version of lsb-base-logging.sh approximately corresponding to
    current Ubuntu logging practice. log_action_* in particular may change.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  9 Nov 2005 14:42:27 -0500

lsb (3.0-11) unstable; urgency=low

  * Use the basename in killproc when calling start-stop-daemon.
    (Closes: #332744)
  * lsb-base conflicts/replaces lsb-core (<< 2.0-6).  (Closes: #335798)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 27 Oct 2005 05:29:07 -0400

lsb (3.0-10) unstable; urgency=low

  * Use --name instead of --exec in killproc().  (Closes: #332744)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 16 Oct 2005 15:35:38 -0400

lsb (3.0-9) unstable; urgency=low

  * Fix silly Pythonic else in init-functions.  (Closes: #329936)
  * s/log_action_start_msg/log_action_begin_msg/ in README.Debian.
    (Thanks to Marco d'Itri for pointing these two out.)
  * If bits of /etc/lsb-release are missing (but not the whole file), use
    detected information in its place.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 24 Sep 2005 19:16:00 -0400

lsb (3.0-8) unstable; urgency=low

  * Bring in lsb-release (binary) package; rewritten to handle -v properly
    for LSB 2.x and beyond.
  * /etc/lsb-release is no longer provided by the lsb-release package;
    it is probably best managed in base-files (which derived distros are
    probably branding anyway).

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 21 Sep 2005 20:53:37 -0400

lsb (3.0-7) unstable; urgency=low

  * Update lsb-core dependencies to include:
      ed (for /bin/ed)
      bsdutils (for /usr/bin/logger)
      cupsys-client | lprng (for /usr/bin/lp)
      mailutils | mailx (for /usr/bin/mailx)
    These are required in the final LSB 3.0 spec.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 19 Sep 2005 18:08:33 -0400

lsb (3.0-6) unstable; urgency=low

  * Add ld-lsb.so.3 symlinks.  (Closes: #326609)
  * Use cat $pidfile instead of read.  (Closes: #327405)
    If someone knows why the convoluted read was used instead... let me know.
  * Test for TPUT and friends as needed.  (Closes: #327388, #327825)
  * Add log_action_*().  (Closes: #324983)
  * Edit README.Debian; fork off a README.Debian for lsb-base.
    (Closes: #327525)
  * The log_* functions can be overridden in /etc/lsb-base-logging.sh.
    (Closes: #321963)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 16 Sep 2005 19:32:29 -0400

lsb (3.0-5) unstable; urgency=low

  * Use --exec in calls to start-stop-daemon in killproc().  (Closes: #322770)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 12 Aug 2005 15:18:39 -0500

lsb (3.0-4) unstable; urgency=medium

  * Fix LIBC setting; add Alpha support.  (Closes: #322316)
  * Add support for PPC64.  (Closes: #322293)
  * Document usage of log_*_msg in README.Debian.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 10 Aug 2005 12:00:57 -0500

lsb (3.0-3) unstable; urgency=low

  * Upload to unstable, since glibc 2.3.5 is now in.
  * lsb-base is now Priority: important.
  * Fix $FANCYTTY tests in a more POSIXly-correct way.  (Closes: #322022)
  * Get rid of the html/* stuff and references to it in README.Debian.
    (Closes: #321260)
  * Maintainers who are using the lsb-base logging facilities should
    *strongly* consider using log_daemon_msg() instead of log_start_msg();
    the new log_daemon_msg() is designed to meet both Debian and Ubuntu
    logging requirements.  Customization should come in a subsequent 3.0-x
    release.

 -- Chris Lawrence <lawrencc@debian.org>  Mon,  8 Aug 2005 15:58:45 -0500

lsb (3.0-2) experimental; urgency=low

  * Uploaded to experimental since glibc 2.3.5 is not in sid yet.
  * Add /usr/lib/lsb/lsbinstall.
    Note: the inetd stuff isn't implemented yet.
  * Require glibc >> 2.3.5, since some interfaces in LSB 3.0 were
    introduced by glibc 2.3.5.
  * Require Python 2.3 or later, so we can use optparse.
  * Fix test in pidofproc in /lib/lsb/init-functions.  (Closes: #315067)
  * Document /etc/profile.d lossage in README.Debian.
  * Remove stale link in README.Debian.  (Closes: #316064)
  * Update German translation.  (Closes: #313979)
  * Add Vietnamese translation.  (Closes: #312606)
  * Updated description.  (Closes: #318224)
  * Use DEB_BUILD_ARCH_CPU instead of DEB_BUILD_ARCH.
  * Call /bin/echo when using -e.  (Closes: #320709)
  * Kludge log_*_msg into being more policy-compliant and (in the case of
    the LSB functions) more Debian-like.
  * Add log_progress_msg.  See spiffy example adapted from the Policy
    Manual in init-functions.  (Closes: #319739)

 -- Chris Lawrence <lawrencc@debian.org>  Mon,  1 Aug 2005 22:45:41 -0500

lsb (3.0-1ubuntu8) breezy; urgency=low

  * init scripts sometimes print messages even when successful, in
    practice.  It is better to cope with this without corruption, than
    to have the colour-coded asterisk.

 -- Ian Jackson <iwj@ubuntu.com>  Fri, 23 Sep 2005 15:16:13 +0100

lsb (3.0-1ubuntu7) breezy; urgency=low

  * init-functions log message writing now copes much better if the init
    script prints some errors to stderr while it's working.  (Assuming
    thatr the init script doesn't print errors to stderr and then succeed;
    init scripts should not do that.)

 -- Ian Jackson <iwj@ubuntu.com>  Tue, 20 Sep 2005 18:18:43 +0100

lsb (3.0-1ubuntu6) breezy; urgency=low

  * Use "$*" rather than "$@" when calling usplash_write, since it requires
    a single argument (part of Ubuntu #15403).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Sep 2005 11:31:22 +0100

lsb (3.0-1ubuntu5) breezy; urgency=low

  * Use 'type' in place of 'which'

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue, 30 Aug 2005 08:29:50 -0700

lsb (3.0-1ubuntu4) breezy; urgency=low

  * Basic usplash integration

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 29 Aug 2005 11:20:00 -0700

lsb (3.0-1ubuntu3) breezy; urgency=low

  * And switch us from libgl1-xorg to libgl1-mesa, completing the transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 21 Aug 2005 03:16:25 +1000

lsb (3.0-1ubuntu2) breezy; urgency=low

  * Depend on libgl1-xorg rather than xlibmesa3-gl as preferred libgl1
    alternative.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  8 Aug 2005 01:25:32 +0100

lsb (3.0-1ubuntu1) breezy; urgency=low

  * Resynchronise with Debian, closing Ubuntu bugs #11406 and #10584

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 29 Jun 2005 07:56:43 +0000

lsb (3.0-1) unstable; urgency=low

  * lsb-cxx now depends on libstdc++6 as well as libstdc++5, necessitated
    by LSB 3.0.
  * Don't create /lib64 on AMD64.  (Closes: #308220)

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  8 May 2005 19:11:45 -0500

lsb (2.0-7ubuntu2) breezy; urgency=low

  * Depend: postfix | mail-transport-agent

 -- LaMont Jones <lamont@ubuntu.com>  Mon,  2 May 2005 19:26:23 -0600

lsb (2.0-7ubuntu1) breezy; urgency=low

  * Merged Debian changes (#9470).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 15 Apr 2005 10:23:09 +0200

lsb (2.0-7) unstable; urgency=high

  * Fix Replaces line to use the correct version in lsb-base.
    (Closes: #301694, RC; Closes: #301747)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 27 Mar 2005 21:42:24 -0600

lsb (2.0-6) unstable; urgency=low

  * Create lsb package in binary-indep step.  (Closes: #297788)
  * Merge /lib/lsb/init-functions from Ubuntu.
  * Split /lib/lsb/init-functions into arch-all lsb-base package; this
    functionality is thus available for use by other, non-LSB packages.
  * Update README.Debian.

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  4 Mar 2005 17:42:11 -0600

lsb (2.0-5) unstable; urgency=low

  * Upload to unstable.  (Closes: #278093)
  * Ignore empty headers in init files.  (Closes: #292835)
  * Add Czech translation of the debconf messages.  (Closes: #288015)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 30 Jan 2005 08:01:29 -0600

lsb (2.0-4) experimental; urgency=low

  * Fix path of HTML docs in debian/doc-base.lsb-core  (Closes: #278357)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 26 Oct 2004 09:16:46 -0500

lsb (2.0-3) experimental; urgency=low

  * Fix x86-64 ls-lsb symlink.  (Closes: #278093)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 24 Oct 2004 19:50:00 -0500

lsb (2.0-2) experimental; urgency=low

  * Upload to experimental so we don't break lsb 2.0-1 in unstable as it
    tries to migrate to sarge.
  * Split into lsb-core, lsb-graphics, and lsb-cxx packages, leaving lsb
    as a metapackage (lsb-graphics and lsb-cxx are also metapackages).
  * Include /lib64 in the AMD64 package rather than running mkdir in the
    postinst.
  * Revise README.Debian for LSB 2.0 and the package split; ensure LSB
    package install instructions are in the first page of text.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 20 Sep 2004 21:38:36 -0500

lsb (2.0-1ubuntu2) hoary; urgency=low

  * Fix build-depends

 -- LaMont Jones <lamont@canonical.com>  Fri, 29 Oct 2004 22:08:06 -0600

lsb (2.0-1ubuntu1) hoary; urgency=low

  * Resynchronise with Debian, resolved remaining merge conflicts.

 -- Martin Pitt <mpitt@debian.org>  Fri, 29 Oct 2004 00:39:01 +0200

lsb (2.0-1) unstable; urgency=high

  * Add lsb-core-{noarch,[arch]} Provides.
  * Symlink ld-lsb.so.2 to appropriate dynamic linker.
  * Add Japanese translation of debconf template.  (Closes: #270926)
  * Depend on ia32-libs on amd64.  (Closes: #259976)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 19 Sep 2004 18:01:07 -0500

lsb (1.3-9ubuntu7) warty; urgency=low

  * prerm, postinst: Add support for amd64. (closes: #1354)

 -- Tollef Fog Heen <tfheen@raw.no>  Mon, 20 Sep 2004 09:29:54 +0200

lsb (1.3-9ubuntu6) warty; urgency=low

  * init-functions: fix a bashism on line #76 (closes #1325)
  * debian-control: added sed as a dependency just to be safe

 -- Nathaniel McCallum <npmccallum@canonical.com>  Thu, 16 Sep 2004 22:52:18 -0400

lsb (1.3-9ubuntu5) warty; urgency=low

  * init-functions: check for tput on each function call that requires it,
    closes (#1044)

 -- Nathaniel McCallum <npmccallum@canonical.com>  Tue,  7 Sep 2004 12:00:16 -0400

lsb (1.3-9ubuntu4) warty; urgency=low

  * init-functions: checks for the needed binaries (in /usr)
  * init-functions: fallbacks if binaries aren't available
  * init-functions: fallbacks if tput can't handle the current TERM

 -- Nathaniel McCallum <npmccallum@canonical.com>  Fri,  3 Sep 2004 21:17:24 -0400

lsb (1.3-9ubuntu3) warty; urgency=low

  * init-functions: made log_end_msg return the same exitstatus it is passed 

 -- Nathaniel McCallum <npmccallum@gentoo.org>  Mon, 30 Aug 2004 18:44:03 -0400

lsb (1.3-9ubuntu2) warty; urgency=low

  * init-functions: added two more ourput functions and a function to get lsb info
  * init-functions: fixed a path problem

 -- Nathaniel McCallum <npmccallum@gentoo.org>  Mon, 30 Aug 2004 17:23:42 -0400

lsb (1.3-9ubuntu1) warty; urgency=low

  * Modified init-functions to provide cleaner (simpler) output
  * Splitting init-functions into a second package with less depends:
    . debian/config -> debian/lsb.config
    . debian/dirs -> debian/lsb.dirs
    . debian/postinst -> debian/lsb.postinst
    . debian/prerm -> debian/lsb.prerm
    . debian/templates -> debian/lsb.templates
    . debian/rules: install init-functions to lsb-base
    . debian/lsb.dirs: removed lib/lsb
    . debian/lsb-base.dirs: added lib/lsb
    . debian/control: added new package (lsb-base)

 -- Nathaniel McCallum <npmccallum@gentoo.org>  Mon, 16 Aug 2004 06:17:52 -0400

lsb (1.3-9) unstable; urgency=low

  * Added Danish po file.  (Closes: #234406)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 23 Feb 2004 15:04:37 -0600

lsb (1.3-8) unstable; urgency=low

  * Added German po file.  (Closes: #223120)
  * Depend on exim4 | m-t-a instead of exim | m-t-a.  (Closes: #228588)

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 31 Jan 2004 20:49:47 -0600

lsb (1.3-7) unstable; urgency=medium

  * Conflict with libutahglx1 instead of depending on xlibmesa3-gl.
    This will allow XFree86 4.3.0's libgl1 to be installed on the system.
  * Move conflicts with Python to 2.5, since 2.4 is not expected to be
    backwards incompatible with anything in the lsb package.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 18 Nov 2003 12:02:01 -0600

lsb (1.3-6) unstable; urgency=medium

  * Depend on alien 8.36 or later.  (Closes: #220177)
  * Depend on xlibmesa3-gl instead of libgl1.  (Closes: #220523)
  * If the pathname supplied to install_initd or remove_initd exists
    relative to the cwd, use it rather than prepending /etc/init.d.
    (Closes: #207851)
  * Added notes for backporting to woody to README.Debian.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 17 Nov 2003 10:05:29 -0600

lsb (1.3-5) unstable; urgency=low

  * Note in README.Debian that the --lsbsysinit option in /etc/crontab is
    required for strict LSB compliance.  (Closes: #214896)
  * Re-enable $netdaemons facility in the "internal registry" again, as
    gLSB 1.1 included it and some packages appear to still use it.
    (Closes: #210578)
  * Use ld.so.1 symlink instead of the glibc-version-dependent location
    for s390.  (Closes: #216824)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 22 Oct 2003 13:17:25 -0500

lsb (1.3-4) unstable; urgency=low

  "cobaco":
  * Add Dutch translation of debconf template.  (Closes: #204921)
  Matt Taggart:
  * Add ia64 to description.  (Closes: #207694)
  Tobias Burnus:
  * Provide a skeleton LSB init script.  (Closes: #207715)
  * Numerous improvements to init-functions.  (Closes: #207639)
  Me:
  * Support broken uses of install_initd and remove_initd.
    (See #207851; still pondering on start_daemon's behavior.)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 10 Sep 2003 17:40:24 -0500

lsb (1.3-3) unstable; urgency=low

  * Depend on pax.  (Closes: #203545)
  * Add ld.so symlink for ia64.  (Closes: #203541)
  * Improved French translation.  (Closes: #202692)

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  8 Aug 2003 18:13:08 -0400

lsb (1.3-2) unstable; urgency=low

  * Use iteritems instead of the default iterator when saving the
    init script dependency dictionary.  (Closes: #202012)
  * Add a link to Matt Taggart's DebConf2 talk to README.Debian.
    (Closes: #198600)
  * Add French translation of debconf prompts.  (Closes: #201626)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 21 Jul 2003 12:19:34 -0400

lsb (1.3-1) unstable; urgency=low

  * First release of LSB 1.3 for Debian.
  * Convert everything to Python 2.2+ style.
  * Clean up the parsing of header lines to be fully compliant.
  * Add po-debconf patch.  (Closes: #186853)
  * Don't retry if a signal specified in killproc.  (Closes: #167759)
  * Revise pidofproc to return a failure code if no pid found.
    (Closes: #190719)
  * Properly treat Required-Start and Required-Stop as strict dependencies
    (install_initd will now fail if they cannot be fulfilled.)
  * remove_initd will now fail if removing the init script would cause
    another LSB package to be missing a dependency.  (However, the
    tracking for these dependencies was not done in the past.  As this is
    part of gLSB 1.9, this should not be a problem.)
  * The previous two items were in a single report.  (Closes: #198293)
  * Support Should-Start and Should-Stop from gLSB 1.9.  (Closes: #198277)
    (A warning message will be output if a facility requested is unavailable.)
  * Support -p argument to killproc, pidofproc and start_daemon, per gLSB 1.9.
    (Closes: #197794)
  * Set up the ld-lsb symlink in the postinst, so it can vary between
    architectures, and remove in the prerm.  (Closes: #183617)
    Currently only defined for IA32 (i386), PPC32 (powerpc) and S390
    (s390); please let me know the correct link for IA64 (ia64) and any
    other ports that may be floating out there.  (I'm only interested in
    architectures that appear at http://www.linuxbase.org/spec/.)
  * Purge the lsb registry on package removal.
  * Depend on mawk | gawk; original-awk may not be SUS-compliant.
    (See http://www.linuxbase.org/spec/refspecs/LSB_1.3.0/gLSB/gLSB/awk.html)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 24 Jun 2003 03:06:37 -0500

lsb (1.2-6) unstable; urgency=medium

  * Fix call to shadowconfig in postinst.  (Closes: #166041)
  * Add text to the debconf template that lets the user know that shadow
    passwords are not needed by most LSB applications.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 26 Oct 2002 07:20:54 -0500

lsb (1.2-5) unstable; urgency=medium

  * Remove duplicate --retry 5 from start-stop-daemon call.  (Closes: #165395)
  * Fix bugs in the init script registry code.  (Closes: #165038)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 22 Oct 2002 06:23:03 -0500

lsb (1.2-4) unstable; urgency=low

  * Support more specifications for the signal in "killproc".
    (Closes: #163109)

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  4 Oct 2002 07:09:22 -0500

lsb (1.2-3) unstable; urgency=low

  * Return non-zero exit status if "pidofproc" can't find the process.
    (Closes: #157314)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 21 Aug 2002 13:20:09 -0500

lsb (1.2-2) unstable; urgency=low

  * Fix silly typos in install_initd.  (Closes: #152544)
  * Fix duplicated --retry 5.  (Closes: #152552)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 10 Jul 2002 15:48:10 -0500

lsb (1.2-1) unstable; urgency=low

  * ADV: Matt Taggart will be giving a presentation on LSB in Debian at
    Debconf2 on Sunday afternoon; your attendence and attentiveness is
    strongly encouraged :-)

  * First release of LSB 1.2 (hopefully-)compliant package.
  * Added link to joeyh's LSB testing page to README.Debian.
  * Revised README.Debian in light of LSB 1.2's improved verbiage.
  * Added support for facilities introduced in gLSB 1.2.  (Closes: #148568)
    - $time: start >= S24, stop <= K21
    - $portmap: start >= S19, stop <= K34
  * Removed support for the $netdaemons facility, which vanished from the
    specification.  Hopefully nobody is using it...
  * Call pidof if it's available and /var/run/$1.pid doesn't exist.

 -- Chris Lawrence <lawrencc@debian.org>  Tue,  2 Jul 2002 19:48:35 -0500

lsb (1.1.0-11) unstable; urgency=low

  * Note that Debian's run-parts ignores certain lsb cron.* scripts, in
    violation of the LSB specification.  See #118646.
    (If necessary, run-parts may be diverted by this package to conform.)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 15 Apr 2002 02:25:51 -0500

lsb (1.1.0-10) unstable; urgency=low

  * Force removal of rc.d links in remove_initd.  (Closes: #139400)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 21 Mar 2002 22:43:01 -0600

lsb (1.1.0-9) unstable; urgency=low

  * Improve error handing in {install,remove}_initd when no argument is
    specified.
  * Fix minor syntax error in outputing the facilities file.
  * Move facilities file handling into the initdutils module.
  * Changed facilities file format to allow multiple init scripts to
    provide the same facility w/o crashing.
  * These changes should solve all the init script handing bugs; thanks to
    Tobias Burnus <tburnus@physik.fu-berlin.de> for his testing.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 19 Mar 2002 20:40:50 -0600

lsb (1.1.0-8) unstable; urgency=low

  * Fix typo in debian/rules.  (Closes: #138945)
  * Rewrite the init script handling to improve modularity.
  * Fix typos in regexes in init script handling.  (Closes: #138946)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 19 Mar 2002 14:47:43 -0600

lsb (1.1.0-7) unstable; urgency=low

  * Fix remove_initd in line with the changes to install_initd.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 17 Mar 2002 19:46:21 -0600

lsb (1.1.0-6) unstable; urgency=medium

  * Fix typos in init functions.  (Closes: #138766)
  * Move init-functions to /lib/lsb.  (Closes: #138762)
  * Fix logic errors in start_daemon.  (Closes: #138771)
  * Fix init script header processing to accomodate minor deviations from
    the LSB spec.  (Closes: #138789)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 17 Mar 2002 18:27:42 -0600

lsb (1.1.0-5) unstable; urgency=low

  * Include /usr/X11R6/bin to make the LSB test suite happy.  Document
    LSB's lack of specification of an X server or any clients as required
    for compliance (hence making it odd that /usr/X11R6/bin would be
    needed, as it could conceivably be empty).  (Closes: #136713)
  * Prompt on installation if shadow passwords appear to be disabled, and
    enable them if requested.  (Closes: #136806)
  * Fix the spelling of Matt Taggart's name in README.Debian.

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  8 Mar 2002 23:19:39 -0600

lsb (1.1.0-4) unstable; urgency=low

  * Clean up directories to omit those present in current base-files.
  * Rearrange README.Debian to put installation discussion near the top.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 24 Feb 2002 23:51:05 -0600

lsb (1.1.0-3) unstable; urgency=low

  * Release candidate.
  * Include HTML files from Matt Taggart <taggart@debian.org> comparing
    the LSB spec to Debian.
  * Clean up dependency list.
  * Convert to arch-independent package.
  * Add lsb(8) manpage.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 24 Feb 2002 21:42:26 -0600

lsb (1.1.0-2) unstable; urgency=low

  * Update README.Debian and install_initd to implement a few changes:
    - uid/gid for bin is documented.
    - treat RL 2-5 as the same, because nothing else sensible seems
      available.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 18 Feb 2002 20:08:23 -0600

lsb (1.1.0-1) unstable; urgency=low

  * Initial Release.  (Closes: #134658)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 17 Feb 2002 14:07:32 -0600

